/**
 * Title:       job2me data API
 * ClassName:   Candidate.java
 * Created:     November 26, 2014
 * Authors:     Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Candidate class for job2me project
 */

package job2me.data.api;

import java.util.Comparator;
import java.util.Date;

//public class Candidate implements java.io.Serializable, Comparable<Candidate> {
 public class Candidate implements java.io.Serializable, Comparable {       
        private String candidateUsername;
        private String firstName;
	private String lastName;
	private String address;
	private String phone;
	private String email;
	private Date birthday;
	private Demand demand;
        private String status;
        private double matchingPercentage;

    public void setMatchingPercentage(double matchingPercentage) {
        this.matchingPercentage = matchingPercentage;
    }

    public double getMatchingPercentage() {
        return matchingPercentage;
    }

          
        public Candidate(){
            this.candidateUsername = null;
            this.firstName = null;
            this.lastName = null;
            this.address = null;
            this.phone = null;
            this.email = null;
            this.birthday = null;
            this.demand = null;
            this.matchingPercentage = -1;
        }       

    public void setCandidateID(String candidateID) {
        this.candidateUsername = candidateID;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public void setDemand(Demand demand) {
        this.demand = demand;
    }

    public String getCandidateID() {
        return candidateUsername;
    }

    public String getFirstName() {
        return firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public String getAddress() {
        return address;
    }

    public String getPhone() {
        return phone;
    }

    public String getEmail() {
        return email;
    }

    public Date getBirthday() {
        return birthday;
    }

    public Demand getDemand() {
        return demand;
    }
       
     public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }
    
    @Override
    public String toString() {
        return   candidateUsername + ","
                + firstName + ","
                + lastName + ","
                + address + ","
                + phone + ","
                + email + ","
                + birthday + ","
                + demand.toString() + ","
                + status;
    }


        @Override
    public int compareTo(Object c) {
        Candidate o = (Candidate)c;
        if( demand.getID() < o.getDemand().getID())
                return -1;
        else return 1;
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
    
    public static Comparator<Candidate> comparatorCandidati = new Comparator<Candidate>()
    {
            public int compare(Candidate o1, Candidate o2) {
                if (o1.demand.getID() < o2.demand.getID()){
                    return -1;
                }
                else{
                    return 1 ;                   
                }
            }
    };
    
    /*public static class Comparators {

        public static Comparator<Candidate> IdDemand = new Comparator<Candidate>() {
            @Override
            public int compare(Candidate o1, Candidate o2) {
                if (o1.demand.getDemandID() > o2.demand.getDemandID()){
                    return 1;
                }
                else{
                    return 0;                   
                }
            }
        };
    }*/

}


