/**
 * Title:       job2me data API
 * ClassName:   Company.java
 * Created:     November 25, 2014
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Company class for job2me project
 */

package job2me.data.api;

import java.util.Date;
import java.util.LinkedList;
import java.util.List;


public class Company implements java.io.Serializable
{
    private String companyUsername;
    private Date companyLastUpdate;
    private String companyName;
    private String fiscalCode;
    private String registryCode;
    private String addressDetail;
    private String locality;
    private String district;
    private String country;
    private String phone;
    private String fax;
    private String web;
    private String email;
    private String contactPerson;
    private String caen;
    private String caenDescription;
    private String status;
    private List<Offer> offers;

    public Company()
    {
      this.companyUsername = null;
      this.companyLastUpdate = null;
      this.companyName = null;
      this.fiscalCode = null;
      this.registryCode = null;
      this.addressDetail = null;
      this.locality = null;
      this.district = null;
      this.country = null;
      this.phone = null;
      this.fax = null;
      this.web = null;
      this.email = null;
      this.contactPerson = null;
      this.caen = null;
      this.caenDescription = null;
      this.status = null;
    }

    public String getCompanyID() {
        return this.companyUsername;
    }

    public void setCompanyID(String companyID) {
        this.companyUsername = companyID;
    }

    public Date getCompanyLastUpdate() {
        return this.companyLastUpdate;
    }

    public void setCompanyLastUpdate(Date companyLastUpdate) {
        this.companyLastUpdate = companyLastUpdate;
    }
  
    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getFiscalCode() {
        return fiscalCode;
    }

    public void setFiscalCode(String fiscalCode) {
        this.fiscalCode = fiscalCode;
    }

    public String getRegistryCode() {
        return registryCode;
    }

    public void setRegistryCode(String registryCode) {
        this.registryCode = registryCode;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getLocality() {
        return locality;
    }

    public void setLocality(String locality) {
        this.locality = locality;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public String getWeb() {
        return web;
    }

    public void setWeb(String web) {
        this.web = web;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getContactPerson() {
        return contactPerson;
    }

    public void setContactPerson(String contactPerson) {
        this.contactPerson = contactPerson;
    }

    public String getCaen() {
        return caen;
    }

    public void setCaen(String caen) {
        this.caen = caen;
    }

    public String getCaenDescription() {
        return caenDescription;
    }

    public void setCaenDescription(String caenDescription) {
        this.caenDescription = caenDescription;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    
    public void addSkill (Offer o){
        if(offers == null){
            offers = new LinkedList<>();
        }
        offers.add(o);
    }
    
    public void removeSkill (Offer o){
        if(( offers != null ) && ( offers.size() > 0) ){
            offers.remove(o);
        }
    }
}
    