/**
 * Title:       job2me data API
 * ClassName:   Enums.java
 * Created:     March 22, 2015
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Enums class for job2me project
 */

package job2me.data.api;


public class Enums implements java.io.Serializable
{
    private Enums()
    {
        // Prevents instantiation
    };

    public static enum UserStatus
    {
        DISABLED,
        ENABLED,
        PENDING
    };

    public static enum ConnectionStatus
    {
        LOGGED_OUT,
        LOGGED_IN,
        WRONG_CREDENTIALS,
        NOT_REGISTERED,
        PENDING
    };

    public static enum MessageType
    {
        OFFER,
        DEMAND
    };

    public static enum QueueName
    {
        DOME_OFFER_QUEUE,
        DOME_DEMAND_QUEUE
    };
    
    public static enum JobType
    {
        PRACTICE, 
        INTERNSHIP, 
        JOB
    };
    
    public static enum JobPeriod
    {
        ONE_MONTH, 
        THREE_MONTHS, 
        SIX_MONTHS, 
        ONE_YEAR, 
        ONE_YEAR_PLUS
    };
    
    public static enum UserType
    {
        COMPANY, 
        CANDIDATE
    };

    public static enum SkillCategory 
    {
        PROGRAMMING_LANGUAGES, 
        SGBD,
        OPERATING_SYSTEMS, 
        FOREIGN_LANGUAGES, 
        ADMINISTRATIVE_AND_OTHERS
    };
    
    public static enum NrDailyHours 
    {   FOUR, 
        SIX, 
        EIGHT
    };
}