/**
 * Title:       job2me data API
 * ClassName:   Skill.java
 * Created:     November 26, 2014
 * Authors:     Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Skill class for job2me project
 */

package job2me.data.api;

import java.util.Objects;

public class Skill implements java.io.Serializable{
    private Enums.SkillCategory category;
    private String label;
    private int level;
  
    public Skill(){
        this.category = null;
        this.label = null;
        this.level = -1;
    }
    public void setCategory(Enums.SkillCategory category) {
        this.category = category;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public Enums.SkillCategory getCategory() {
        return category;
    }

    public String getLabel() {
        return label;
    }

    public int getLevel() {
        return level;
    }
    
    @Override
    public String toString() {
        return this.category+ " , "+this.label+" , "+this.level;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Skill other = (Skill) obj;
        if (this.category != other.category) {
            return false;
        }
        if (!Objects.equals(this.label, other.label)) {
            return false;
        }
        if (this.level != other.level) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 89 * hash + Objects.hashCode(this.category);
        hash = 89 * hash + Objects.hashCode(this.label);
        hash = 89 * hash + this.level;
        return hash;
    }
}
